#
# spec file for package cdemu-daemon
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cdemu-daemon
Version:        2.1.0
Release:        6.1
Summary:        Device daemon for cdemu, a virtual CD-ROM device emulator
License:        GPL-2.0+
Group:          System/Daemons
Url:            http://cdemu.sf.net/

#Freecode-URL:	https://freecode.com/projects/cdemu-for-linux
#Git-Clone:	git://git.code.sf.net/p/cdemu/code
#DL-URL:	http://downloads.sf.net/cdemu/%name-%version.tar.bz2
Source:         http://downloads.sf.net/cdemu/%name-%version.tar.bz2
Source3:        cdemu-daemon.sysconfig
Patch1:         logfile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 2.8.5
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ao) >= 0.8.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.28
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.28
BuildRequires:  pkgconfig(gobject-2.0) >= 2.28
BuildRequires:  pkgconfig(gthread-2.0) >= 2.28
BuildRequires:  pkgconfig(libmirage) >= 2.1.0

%description
cdemu-daemon receives SCSI commands from kernel module thorugh the
VHBA module and processes them, passing the requested data back to
the kernel. The daemon implements the actual virtual device; one
instance per each device registered by kernel module. It uses
libmirage for the image access (e.g. sector reading).

The daemon registers itself on D-BUS's system or session bus
(depending on the options passed to it) where it exposes an interface
that can be used by clients to control it.

%prep
%setup -q
%patch -P 1 -p1

%build
# cdemu-daemon still uses deprecated g_thread_init, so use
# G_DISABLE_DEPRECATED.
cmake . -DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
	-DCMAKE_INSTALL_LIBEXECDIR:PATH="%_libexecdir" \
	-DCMAKE_C_FLAGS:STRING="%optflags -UG_DISABLE_DEPRECATED";
make %{?_smp_mflags};

%install
b="%buildroot";
make install DESTDIR="$b";
mkdir -p "$b/%_sbindir";
mkdir -p "$b/%_localstatedir/adm/fillup-templates";
install -pm0644 "%{S:3}" "$b/%_localstatedir/adm/fillup-templates/sysconfig.cdemu-daemon";
# Not desired
rm -Rf "$b/%_datadir/dbus-1/system-services" "$b/%_sysconfdir/dbus-1/system.d";

%files
%defattr(-,root,root)
%_bindir/cdemu-daemon
%_libexecdir/cdemu-daemon-session.sh
%_datadir/dbus-1
%_mandir/man8/cdemu-daemon.8*
%_localstatedir/adm/fillup-templates/sysconfig.cdemu-daemon

%changelog
* Sun Jun  9 2013 jengelh@inai.de
- Update to new upstream release 2.1.0
  * Use non-blocking I/O on VHBA control device, implemented device
  restart on kernel/userspace I/O errors
  * Added support for device addition/removal. To preserve device
  numbering, devices can only be appended, and only the last device
  can be removed.
  * Auto-started daemon now creates only a single device by default.
  * Fixed device ID reported by INQUIRY, where last letters were
  missing
  * Session autostart script now uses "default" instead of "pulse"
  for audio driver.
  * If audio device initialization fails, fallback to "null" instead
  of just stopping the playback thread.
* Sat Apr 13 2013 jengelh@inai.de
- Resolve build failure with glib 2.36 by allowing deprecated
  functions for the time being (-UG_DISABLE_DEPRECATED)
* Sat Dec 22 2012 jengelh@inai.de
- Update to new upstream release 2.0.0 (up from 1.5.0)
  * Support for ISZ, CSO, DMG, GBI, ECM, gzip and xz formats
  * Partial support for 1-track MDX
- Resolves a problem with autostarting cdemu-daemon
  (bnc#809181, bnc#809862)
* Mon Nov 19 2012 jengelh@inai.de
- Remove cdemud-launch helper, this caused too much confusion.
* Tue May 29 2012 jengelh@inai.de
- Remove dbus autostart and systemd unit file for system-bus mode.
  Place system logfile in proper place (bnc#764063)
* Tue May  8 2012 jengelh@inai.de
- Initial package for build.opensuse.org
